{"openapi":"3.0.0","info":{"title":"Assembly API","description":"Assembly (formely PromisePay) is a powerful payments engine custom-built for platforms and marketplaces.","version":"2.3","contact":{"email":"support@assemblypayments.com","url":"http://docs.assemblypayments.com/"}},"servers":[{"url":"https://test.api.promisepay.com","description":"Pre-live environment"},{"url":"https://secure.api.promisepay.com","description":"Production environment"},{"url":"https://au-0000.sandbox.auth.assemblypay.com","description":"Pre-Live (Sandbox) Auth issuing server and API"},{"url":"https://au-0000.auth.assemblypay.com","description":"Production Auth issuing server and API"},{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/AssemblyPlatforms/assembly-api/2.3"}],"x-explorer-enabled":false,"x-samples-languages":["curl","ruby","php","javascript","csharp","go"],"paths":{"/tokens":{"post":{"tags":["Authentication"],"summary":"Token","description":"Exchange client application credentials for a bearer token. Please ensure to call the auth issuing server as described at https://developer.assemblypayments.com/reference#authentication","operationId":"token","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/tokens_request_body"}}}},"responses":{"200":{"description":"Response body contains an access token with lifetime in seconds and usage information.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/tokens_response"},"examples":{"response":{"value":{"access_token":"ey...J9.ey...n0.Iu...7g","expires_in":3600,"token_type":"Bearer"}}}}}},"400":{"description":"Request not parseable, grant type invalid or properties missing","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"},"examples":{"response":{"value":{"error":"bad request"}}}}}},"401":{"description":"We can't resolve the supplied credentials","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"},"examples":{"response":{"value":{"error":"invalid credentials"}}}}}},"422":{"description":"One or more property values are unprocessable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"},"examples":{"response":{"value":{"error":"invalid client details"}}}}}},"500":{"description":"We have a problem, which we have logged. Please try again later and if it still doesn't work, contact us.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error"},"examples":{"response":{"value":{"error":"something went wrong"}}}}}}}}},"/addresses/{id}":{"get":{"tags":["Addresses"],"summary":"Show Address","description":"Show details of a specific Address using a given address `:id`.","operationId":"showAddress","parameters":[{"name":"id","in":"path","description":"Address ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"},"example":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/address"},"examples":{"response":{"value":{"addresses":{"addressline1":"100 Main Street","addressline2":"office building no 3","postcode":2000,"city":"Sydney","state":"NSW","id":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","country":"Australia","links":{"self":"/addresses/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"}}}}}}}}}}},"/bank_accounts/{id}":{"get":{"tags":["Bank Accounts"],"summary":"Show Bank Account","description":"Show details of a specific **Bank Account** using a given `:id`.","operationId":"showBankAccount","parameters":[{"name":"id","in":"path","description":"Bank account ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","example":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"}},{"name":"include_decrypted_fields","in":"query","description":"If true, the API will decrypt and return sensitive bank account fields (for example, the full account number). Defaults to false","required":false,"schema":{"type":"boolean","default":false,"example":true}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/bank_account_au"},"examples":{"response_AU":{"value":{"bank_accounts":{"id":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","active":true,"created_at":"2020-04-27T20:28:22.378Z","updated_at":"2020-04-27T20:28:22.378Z","verification_status":"not_verified","currency":"AUD","bank":{"bank_name":"Bank of Australia","country":"AUS","account_name":"Samuel Seller","routing_number":"XXXXX3","account_number":"XXX234","iban":null,"swift_code":null,"holder_type":"personal","account_type":"checking","direct_debit_authority_status":"approved"},"links":{"self":"/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","users":"/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/users","direct_debit_authorities":"/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/direct_debit_authorities"}}}},"response_GB":{"value":{"bank_accounts":{"id":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","active":true,"created_at":"2020-04-27T20:28:22.378Z","updated_at":"2020-04-27T20:28:22.378Z","verification_status":"not_verified","currency":"GBP","bank":{"bank_name":"Bank of UK","country":"GBR","account_name":"Samuel Seller","routing_number":"XXXXX3","account_number":"XXX234","iban":"XXXXXX562","swift_code":"XXXXXXB22","holder_type":"personal","account_type":"savings","direct_debit_authority_status":null},"links":{"self":"/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","users":"/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/users","direct_debit_authorities":"/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/direct_debit_authorities"}}}}}}}}}},"delete":{"tags":["Bank Accounts"],"summary":"Redact Bank Account","description":"Redact a **Bank Account** using a given `:id`. Redacted **Bank Accounts** can no longer be used as a funding source or a Disbursement destination.\n","operationId":"redactBankAccount","parameters":[{"name":"id","in":"path","description":"Bank account ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"},"example":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/bank_account_deletion"},"examples":{"response":{"value":{"bank_account":"Successfully redacted"}}}}}}}}},"/bank_accounts/{id}/penny_send":{"patch":{"tags":["Bank Accounts"],"summary":"Send Penny Amount","description":"When penny verification is enabled, this API call sends two penny transactions to the specified bank account for verification. **Note**: This API call is not required when your platform has automatic penny verification enabled, as this is instead done by the system. Penny credit verification is only supported for US platforms.\n","operationId":"sendPennyAmount","parameters":[{"name":"id","in":"path","description":"Bank account ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"},"example":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/bank_account_au"},"examples":{"response":{"value":{"bank_accounts":{"id":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","active":true,"created_at":"2020-04-27T20:28:22.378Z","updated_at":"2020-04-27T20:28:22.378Z","verification_status":"verifying","currency":"AUD","bank":{"bank_name":"Bank of Australia","country":"AUS","account_name":"Samuel Seller","routing_number":"XXXXX3","account_number":"XXX234","holder_type":"personal","account_type":"checking","direct_debit_authority_status":"approved"},"links":{"self":"/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","users":"/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/users","direct_debit_authorities":"/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/direct_debit_authorities"}}}}}}}}}}},"/bank_accounts":{"post":{"tags":["Bank Accounts"],"summary":"Create Bank Account","description":"Create a **Bank Account** to be used as either a funding source or a Disbursement destination. Store the returned `:id` and use it for a `make_payment` **Item Action** call. The `:id` is also referred to as a `token` when involving **Bank Accounts**. For platforms operating in  UK, **iban** and **swift_code** are extra required fields.\n","operationId":"createBankAccount","requestBody":{"required":true,"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/bank_account_requestBody_au"},{"$ref":"#/components/schemas/bank_account_requestBody_uk"}]},"examples":{"au_request":{"summary":"bank account request body for AU","value":{"user_id":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","bank_name":"Bank of Australia","account_name":"Samuel Seller","routing_number":"111123","account_number":"111234","account_type":"savings","holder_type":"personal","country":"AUS"}},"gb_request":{"summary":"bank account request body for GB","value":{"user_id":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","bank_name":"Bank of UK","account_name":"Samuel Seller","routing_number":"111123","account_number":"111234","account_type":"savings","holder_type":"personal","country":"GBR","swift_code":"BUKBGB22","iban":"GB25QHWQ24972864616562"}}}}}},"responses":{"201":{"description":"OK","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/bank_account_au"},{"$ref":"#/components/schemas/bank_account_uk"}]},"examples":{"response_AU":{"value":{"bank_accounts":{"id":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","active":true,"verification_status":"not_verified","currency":"AUD","bank":{"bank_name":"Bank of Australia","country":"AUS","account_name":"Samuel Seller","routing_number":"XXXXX3","account_number":"XXX234","iban":"null,","swift_code":"null,","holder_type":"personal","account_type":"checking","direct_debit_authority_status":"approved"},"links":{"self":"/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","users":"/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/users","direct_debit_authorities":"/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/direct_debit_authorities"}}}},"response_GB":{"value":{"bank_accounts":{"id":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","active":true,"verification_status":"not_verified","currency":"GBP","bank":{"bank_name":"Bank of UK","country":"GBR","account_name":"Samuel Seller","routing_number":"XXXXX3","account_number":"XXX234","iban":"XXXXXX562","swift_code":"XXXXXXB22","holder_type":"personal","account_type":"savings"},"links":{"self":"/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","users":"/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/users"}}}}}}}}}}},"/bank_accounts/{id}/penny_verify":{"patch":{"tags":["Bank Accounts"],"summary":"Verify Penny Amount","description":"When penny verification is enabled, this API call verifies the two penny transactions that were sent to a specified bank account using **Send Penny Amount**. **Note**: This API call requires you to provide a front-end interface to your end-users into which they can input the penny amounts required for a successful verification. Your front-end interface should then pass the information into this API call. Penny credit verification is only supported for US platforms.\n","operationId":"verifyPennyAmount","parameters":[{"name":"id","in":"path","description":"Bank account ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"},"example":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/penny_verify_requestBody"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/bank_account_au"}]},"examples":{"response":{"value":{"bank_accounts":{"id":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","active":true,"verification_status":"verified","currency":"AUD","bank":{"bank_name":"Bank of Australia","country":"AUS","account_name":"Samuel Seller","routing_number":"XXXXX3","account_number":"XXX234","holder_type":"personal","account_type":"checking","direct_debit_authority_status":"approved"},"links":{"self":"/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","users":"/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/users","direct_debit_authorities":"/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/direct_debit_authorities"}}}}}}}}}}},"/bank_accounts/{id}/users":{"get":{"tags":["Bank Accounts"],"summary":"Show Bank Account User","description":"Show the **User** the **Bank Account** is associated with using a given `:id`.","operationId":"showBankAccountUser","parameters":[{"name":"id","in":"path","description":"Bank account ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"901d8cd0-6af3-0138-967d-0a58a9feac04"},"example":"901d8cd0-6af3-0138-967d-0a58a9feac04"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_user"},"examples":{"response":{"value":{"users":{"created_at":"2020-04-03T07:59:00.379Z","updated_at":"2020-04-03T07:59:00.379Z","id":"Seller_1234","full_name":"Samuel Seller","email":"sam@example.com","mobile":69543131,"phone":null,"logo_url":null,"color_1":null,"color_2":null,"first_name":"Samuel","last_name":"Seller","custom_descriptor":"Sam Garden Jobs","location":"AUS","verification_state":"pending","held_state":false,"roles":["customer"],"dob":"encrypted","government_number":"encrypted","drivers_license":null,"flags":{},"related":{"addresses":"11111111-2222-3333-4444-55555555555,"},"links":{"self":"/bank_accounts/901d8cd0-6af3-0138-967d-0a58a9feac04/users","items":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/items","card_accounts":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/card_accounts","paypal_accounts":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/paypal_accounts","payid_accounts":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/payid_accounts","bank_accounts":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/bank_accounts","wallet_accounts":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/wallet_accounts"}}}}}}}}}}},"/tools/routing_number":{"get":{"tags":["Bank Accounts"],"summary":"Validate Routing Number","description":"Validate a US bank routing number before creating an account. This can be used to provide on-demand verification, and further information of the bank information a User is providing.","operationId":"validateRoutingNumber","parameters":[{"name":"routing_number","in":"query","description":"Bank account routing number","required":true,"style":"form","explode":true,"schema":{"type":"string","default":"122235821"},"example":"122235821"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_routing_number"},"examples":{"response":{"value":{"routing_number":{"routing_number":"122235821","customer_name":"US BANK NA","address":"EP-MN-WN1A","city":"ST. PAUL","state_code":"MN","zip":"55107","zip_extension":"1419","phone_area_code":"800","phone_prefix":"937","phone_suffix":"631"}}}}}}}}}},"/bpay_accounts/{id}":{"get":{"tags":["BPay Accounts"],"summary":"Show BPay Account","description":"Show details of a specific **BPay Account** using a given `:id`.","operationId":"showBPayAccount","parameters":[{"name":"id","in":"path","description":"BPay account ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"},"example":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/bpay_account"},"examples":{"response":{"value":{"bpay_accounts":{"id":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","active":true,"created_at":"2020-04-03T07:59:00.379Z","updated_at":"2020-04-03T07:59:00.379Z","verification_status":"not_verified","currency":"AUD","bpay_details":{"account_name":"My Water Bill Company","biller_code":123456,"biller_name":"ABC Water","crn":987654321},"links":{"self":"/bpay_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","users":"/bpay_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/users"}}}}}}}}}},"delete":{"tags":["BPay Accounts"],"summary":"Redact BPay Account (Future Feature)","description":"Redact a **BPay Account** using a given `:id`. Redacted **BPay Accounts** can no longer be used as a Disbursement destination.\n","operationId":"redactBPayAccount","parameters":[{"name":"id","in":"path","description":"BPay account ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"},"example":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/bpay_account_deletion"},"examples":{"response":{"value":{"bpay_account":"Successfully redacted"}}}}}}}}},"/bpay_accounts":{"post":{"tags":["BPay Accounts"],"summary":"Create BPay Account","description":"Create a **BPay Account** to be used as a Disbursement destination.\n","operationId":"createBPayAccount","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/bpay_account_requestBody"}}}},"responses":{"201":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/bpay_account"},"examples":{"response":{"value":{"bpay_accounts":{"id":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","created_at":"2020-04-03T07:59:00.379Z","updated_at":"2020-04-03T07:59:00.379Z","active":true,"verification_status":"not_verified","currency":"AUD","bpay_details":{"account_name":"My Water Bill Company","biller_code":123456,"biller_name":"ABC Water","crn":987654321},"links":{"self":"/bpay_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","users":"/bpay_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/users"}}}}}}}}}}},"/bpay_accounts/{id}/users":{"get":{"tags":["BPay Accounts"],"summary":"Show BPay Account User","description":"Show the **User** the **BPay Account** is associated with using a given `:id`.","operationId":"showBPayAccountUser","parameters":[{"name":"id","in":"path","description":"BPay account ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"901d8cd0-6af3-0138-967d-0a58a9feac04"},"example":"901d8cd0-6af3-0138-967d-0a58a9feac04"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_user"},"examples":{"response":{"value":{"users":{"created_at":"2020-04-03T07:59:00.379Z","updated_at":"2020-04-03T07:59:00.379Z","id":"Seller_1234","full_name":"Samuel Seller","email":"sam@example.com","mobile":69543131,"phone":null,"logo_url":null,"color_1":null,"color_2":null,"first_name":"Samuel","last_name":"Seller","custom_descriptor":"Sam Garden Jobs","location":"AUS","verification_state":"pending","held_state":false,"roles":["customer"],"dob":"encrypted","government_number":"encrypted","drivers_license":null,"flags":{},"related":{"addresses":"11111111-2222-3333-4444-55555555555,"},"links":{"self":"/bpay_accounts/901d8cd0-6af3-0138-967d-0a58a9feac04/users","items":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/items","card_accounts":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/card_accounts","paypal_accounts":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/paypal_accounts","payid_accounts":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/payid_accounts","bpay_accounts":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/bpay_accounts","wallet_accounts":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/wallet_accounts"}}}}}}}}}}},"/wallet_accounts/{id}/bill_payment":{"post":{"tags":["Wallet Accounts"],"summary":"Pay a Bill","description":"Pay a bill by withdrawing funds from a **Wallet Account** to a specified bpay account.","operationId":"billPayment","parameters":[{"name":"id","in":"path","description":"Account ID","required":true,"schema":{"type":"string","default":"901d8cd0-6af3-0138-967d-0a58a9feac04"},"example":"8a31ebfa-421b-4cbb-9241-632f71b3778a"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/bill_payment_requestBody"}}}},"responses":{"201":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_disbursement"},"examples":{"response":{"value":{"disbursements":{"reference_id":"test100","id":"8a31ebfa-421b-4cbb-9241-632f71b3778a","amount":173,"currency":"AUD","batch_id":null,"cuscal_payment_transaction_id":null,"created_at":"2020-05-09T07:09:03.383Z","updated_at":"2020-05-09T07:09:04.585Z","state":"pending","to":"BPay Account","account_name":"My Water Company","biller_name":"ABC Water","biller_code":123456,"crn":"0987654321","links":{"transactions":"/disbursements/8a31ebfa-421b-4cbb-9241-632f71b3778a/transactions","wallet_accounts":"/disbursements/8a31ebfa-421b-4cbb-9241-632f71b3778a/wallet_accounts","bank_accounts":"/disbursements/8a31ebfa-421b-4cbb-9241-632f71b3778a/bank_accounts","bpay_accounts":"/disbursements/8a31ebfa-421b-4cbb-9241-632f71b3778a/bpay_accounts","paypal_accounts":"/disbursements/8a31ebfa-421b-4cbb-9241-632f71b3778a/paypal_accounts","items":"/disbursements/8a31ebfa-421b-4cbb-9241-632f71b3778a/items","users":"/disbursements/8a31ebfa-421b-4cbb-9241-632f71b3778a/users"}}}}}}}}}}},"/sub_wallets/{account_id}":{"get":{"tags":["Sub-wallets"],"summary":"List Sub-wallets","description":"List all the sub-wallets that belong to a user's wallet account. These are specified by the wallet `account_id`.","operationId":"listSubWallets","parameters":[{"name":"account_id","in":"path","description":"Wallet Account Id","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"901d8cd0-6af3-0138-967d-0a58a9feac04"},"example":"901d8cd0-6af3-0138-967d-0a58a9feac04"},{"name":"offset","in":"query","description":"Number of records to offset. Required for pagination.","required":false,"style":"form","explode":true,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"limit","in":"query","description":"Number of records to retrieve. Up to 200.","required":false,"style":"form","explode":true,"schema":{"maximum":200,"minimum":1,"type":"integer","default":10}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/sub_wallets"},"examples":{"response":{"value":{"sub_wallets":[{"id":"8665ee43-d350-4276-ac04-1031029faa53","name":"Investment","active":true,"created_at":"2019-04-29 02:42:31.536000+00:00","updated_at":"2020-05-03 12:01:02.254000+00:00","balance":663337,"currency":"AUD","links":{"self":"/sub_wallets/8665ee43-d350-4276-ac04-1031029faa5","users":"/sub_wallets/8665ee43-d350-4276-ac04-1031029faa53/users","transactions":"/sub_wallets/8665ee43-d350-4276-ac04-1031029faa53/transactions","wallet_accounts":"/sub_wallets/8665ee43-d350-4276-ac04-1031029faa53/wallet_accounts"}}],"links":{"self":"/sub_wallets"},"meta":{"limit":10,"offset":0,"total":1}}}}}}},"422":{"description":"unprocessable content","content":{"application/json":{"schema":{"$ref":"#/components/schemas/sub_wallet_error_responseBody"},"examples":{"feature configuration not enabled":{"value":{"errors":{"sub_wallets":["feature not available"]}}},"when account_id not given":{"value":{"errors":{"account_id":["required field missing"]}}},"when account_id format is invalid":{"value":{"errors":{"account_id":["invalid format"]}}},"when account_id is invalid i.e., does not exist":{"value":{"errors":{"account_id":["invalid"]}}},"when account_id belongs to a different marketplace":{"value":{"errors":{"account_id":["must belong to the marketplace"]}}}}}}}}}},"/sub_wallets":{"post":{"tags":["Sub-wallets"],"summary":"Create Sub-wallet","description":"Create a sub-wallet for a user's wallet account.This is specified by the wallet `account_id`. Use sub-wallets as a part of building your own scheduling and workflow.  Create as many as you want to manage, with no limits to the amount.","operationId":"createSubWallet","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/sub_wallet_create_requestBody"}}},"required":true},"responses":{"201":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/sub_wallet_create_responseBody"},"examples":{"response":{"value":{"sub_wallets":{"id":"8665ee43-d350-4276-ac04-1031029faa53","name":"Investment","active":true,"created_at":"2019-04-29 02:42:31.536000+00:00","updated_at":"2020-05-03 12:01:02.254000+00:00","balance":0,"currency":"AUD","links":{"self":"/sub_wallets/8665ee43-d350-4276-ac04-1031029faa5","users":"/sub_wallets/8665ee43-d350-4276-ac04-1031029faa53/users","wallet_accounts":"/sub_wallets/8665ee43-d350-4276-ac04-1031029faa53/wallet_accounts"}}}}}}}},"422":{"description":"unprocessable content","content":{"application/json":{"schema":{"$ref":"#/components/schemas/sub_wallet_error_responseBody"},"examples":{"feature configuration not enabled":{"value":{"errors":{"sub_wallets":["feature not available"]}}},"when account_id not given in request body":{"value":{"errors":{"account_id":["required field missing"]}}},"when account_id format is invalid":{"value":{"errors":{"account_id":["invalid format"]}}},"when account_id is invalid i.e., does not exist":{"value":{"errors":{"account_id":["invalid"]}}},"when account_id belongs to a different marketplace":{"value":{"errors":{"account_id":["must belong to the marketplace"]}}}}}}}}}},"/users/{id}/bpay_accounts":{"get":{"tags":["Users"],"summary":"List User's BPay Accounts","description":"List the **BPay Accounts** the **User** is associated with using a given `:id`.","operationId":"listUserBPayAccounts","parameters":[{"name":"id","in":"path","description":"User ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"901d8cd0-6af3-0138-967d-0a58a9feac04"},"example":"901d8cd0-6af3-0138-967d-0a58a9feac04"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/list_bpay_accounts"},"examples":{"response":{"value":{"bpay_accounts":[{"id":"b0980390-ac5b-0138-8b2e-0a58a9feac03","active":true,"created_at":"2020-07-20 02:07:33.583000+00:00","updated_at":"2020-07-20 02:07:33.583000+00:00","bpay_details":{"biller_name":"APIBCD AV4","account_name":"Test Biller","biller_code":"93815","crn":"613295205"},"currency":"AUD","verification_status":"verified","links":{"self":"/bpay_accounts/b0980390-ac5b-0138-8b2e-0a58a9feac03","users":"/bpay_accounts/b0980390-ac5b-0138-8b2e-0a58a9feac03/users"}}],"meta":{"limit":10,"offset":0,"total":1},"links":{"self":"/users/901d8cd0-6af3-0138-967d-0a58a9feac04/bpay_accounts"}}}}}}}}}},"/callbacks/{id}":{"get":{"tags":["Callbacks"],"summary":"Show Callback","description":"Show details of a specific **Callback** using a given `:id`.","operationId":"showCallback","parameters":[{"name":"id","in":"path","description":"Callback ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"},"example":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_callback"},"examples":{"response":{"value":{"callbacks":{"id":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","description\"":"Users Callback","url":"https://httpbin.org/post","object_type":"users","enabled":true,"authorization_token":null,"created_at":"2019-03-29T06:12:57.686Z","updated_at":"2019-03-29T06:12:57.686Z","marketplace_id":"8a840e7b-20e2-4a05-86b9-60b62bc6c21c","links":{"self":"/callbacks/088e4cf1-2508-4bd4-97ab-a78e4e869970","responses":"/callbacks/088e4cf1-2508-4bd4-97ab-a78e4e869970/responses"}}}}}}}}}},"delete":{"tags":["Callbacks"],"summary":"Delete Callback","description":"Delete an existing Callback using a given `:id`.","operationId":"deleteCallback","parameters":[{"name":"id","in":"path","description":"Callback ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"},"example":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/callback_deletion"},"examples":{"response":{"value":{"callbacks":"Successfully redacted"}}}}}}}},"patch":{"tags":["Callbacks"],"summary":"Update Callback","description":"Update an existing **Callback** using a given `:id`. You can change the `URL`, the `object_type` and whether the **Callback** is `enabled` or `disabled`.\n","operationId":"updateCallback","parameters":[{"name":"id","in":"path","description":"Callback ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"},"example":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/callback_requestBody"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_callback"},"examples":{"response":{"value":{"callbacks":{"id":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","description\"":"Users Callback","url":"https://httpbin.org/post","object_type":"users","enabled":true,"authorization_token":null,"created_at":"2019-03-29T06:12:57.686Z","updated_at":"2019-03-29T06:12:57.686Z","links":{"self":"/callbacks/088e4cf1-2508-4bd4-97ab-a78e4e869970","responses":"/callbacks/088e4cf1-2508-4bd4-97ab-a78e4e869970/responses"}}}}}}}}}}},"/callbacks/{id}/responses":{"get":{"tags":["Callbacks"],"summary":"List Callback Responses","description":"Retrieve an ordered and paginated list of the responses garnered from a callback using a given `:id`.","operationId":"listCallbackResponse","parameters":[{"$ref":"#/components/parameters/limitParam"},{"$ref":"#/components/parameters/offsetParam"},{"name":"id","in":"path","description":"Callback ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"},"example":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/list_callback_responses"},"examples":{"response":{"value":{"callback_responses":[{"id":"f96ca75b-4a37-4e37-a7e9-c121a0fd1142","created_at":"2019-04-01T01:55:30.345Z","url":"https://httpbin.org/post","payload":{"disbursements":{"id":"42f2ca8f-deca-4d41-9982-26376a2d60ce","reference_id":null,"amount":841698,"currency":"AUD","batch_id":111,"cuscal_payment_transaction_id":null,"created_at":"2019-03-29T06:14:43.991Z","updated_at":"2019-04-01T01:54:58.752Z","state":"batched","to":"Bank Account","bank_name":"Test Bank Assembly","bank_account_name":"Assembly seller36550573","bank_account_number":"XXX229","bank_routing_number":"XXXXX9","npp_payout_state":"trying","links":{"transactions":"/disbursements/42f2ca8f-deca-4d41-9982-26376a2d60ce/transactions","wallet_accounts":"/disbursements/42f2ca8f-deca-4d41-9982-26376a2d60ce/wallet_accounts","bank_accounts":"/disbursements/42f2ca8f-deca-4d41-9982-26376a2d60ce/bank_accounts","paypal_accounts":"/disbursements/42f2ca8f-deca-4d41-9982-26376a2d60ce/paypal_accounts","items":"/disbursements/42f2ca8f-deca-4d41-9982-26376a2d60ce/items","users":"/disbursements/42f2ca8f-deca-4d41-9982-26376a2d60ce/users"}}},"response":{"error":"OK"},"response_code":200},{"id":"0c9cbb28-0b98-4560-9c81-7a4ea6cde95b","created_at":"2019-04-01T01:55:25.276Z","url":"https://httpbin.org/post","payload":{"disbursements":{"id":"d98133ca-9a2e-4322-9610-62b2faf78476","amount":577954,"currency":"AUD","batch_id":111,"cuscal_payment_transaction_id":null,"created_at":"2019-03-29T06:14:07.045Z","updated_at":"2019-04-01T01:54:58.448Z","state":"batched","to":"Bank Account","bank_name":"Test Bank Assembly","bank_account_name":"Assembly seller36550536","bank_account_number":"XXX229","bank_routing_number":"XXXXX3","npp_payout_state":"trying","links":{"transactions":"/disbursements/d98133ca-9a2e-4322-9610-62b2faf78476/transactions","wallet_accounts":"/disbursements/d98133ca-9a2e-4322-9610-62b2faf78476/wallet_accounts","bank_accounts":"/disbursements/d98133ca-9a2e-4322-9610-62b2faf78476/bank_accounts","paypal_accounts":"/disbursements/d98133ca-9a2e-4322-9610-62b2faf78476/paypal_accounts","items":"/disbursements/d98133ca-9a2e-4322-9610-62b2faf78476/items","users":"/disbursements/d98133ca-9a2e-4322-9610-62b2faf78476/users"}}},"response":{"error":"OK"},"response_code":200,"meta":{"limit":2,"offset":0,"total":10},"links":{"self":"/callbacks/088e4cf1-2508-4bd4-97ab-a78e4e869970/responses?limit=2","callbacks":"/callbacks"}}]}}}}}}}}},"/callbacks/{callback_id}/responses/{id}":{"get":{"tags":["Callbacks"],"summary":"Show Callback Response","description":"Show details of a specific **Callback** response using a given `:id`.","operationId":"showCallbackResponse","parameters":[{"name":"callback_id","in":"path","description":"Callback ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"088e4cf1-2508-4bd4-97ab-a78e4e869970"},"example":"088e4cf1-2508-4bd4-97ab-a78e4e869970"},{"name":"id","in":"path","description":"Callback response ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"0c9cbb28-0b98-4560-9c81-7a4ea6cde95b"},"example":"0c9cbb28-0b98-4560-9c81-7a4ea6cde95b"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_callback_response"},"examples":{"response":{"value":{"callback_responses":{"id":"0c9cbb28-0b98-4560-9c81-7a4ea6cde95b","created_at":"2019-04-01T01:55:25.276Z","url":"https://httpbin.org/post","payload":{"disbursements":{"id":"d98133ca-9a2e-4322-9610-62b2faf78476","reference_id":null,"amount":577954,"currency":"AUD","batch_id":111,"cuscal_payment_transaction_id":null,"created_at":"2019-03-29T06:14:07.045Z","updated_at":"2019-04-01T01:54:58.448Z","state":"batched","to":"Bank Account","bank_name":"Test Bank Assembly","bank_account_name":"Assembly seller36550536","bank_account_number":"XXX229","bank_routing_number":"XXXXX3","npp_payout_state":"trying","links":{"transactions":"/disbursements/d98133ca-9a2e-4322-9610-62b2faf78476/transactions","wallet_accounts":"/disbursements/d98133ca-9a2e-4322-9610-62b2faf78476/wallet_accounts","bank_accounts":"/disbursements/d98133ca-9a2e-4322-9610-62b2faf78476/bank_accounts","paypal_accounts":"/disbursements/d98133ca-9a2e-4322-9610-62b2faf78476/paypal_accounts","items":"/disbursements/d98133ca-9a2e-4322-9610-62b2faf78476/items","users":"/disbursements/d98133ca-9a2e-4322-9610-62b2faf78476/users"}}},"response":{"error":"OK"},"response_code":200,"links":{"self":"/callbacks/088e4cf1-2508-4bd4-97ab-a78e4e869970/responses/0c9cbb28-0b98-4560-9c81-7a4ea6cde95b","responses":"/callbacks/088e4cf1-2508-4bd4-97ab-a78e4e869970/responses"}}}}}}}}}}},"/callbacks":{"get":{"tags":["Callbacks"],"summary":"List Callbacks","description":"Retrieve an ordered and paginated list of all created **Callbacks**.","operationId":"listCallbacks","parameters":[{"$ref":"#/components/parameters/limitParam"},{"$ref":"#/components/parameters/offsetParam"},{"name":"filter","in":"query","description":"Narrow down records to relevant character string","style":"form","explode":true,"schema":{"type":"string"},"example":""}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/callbacks"},"examples":{"response":{"value":{"callbacks":[{"id":"a31a9b45-d5b3-401e-b7ce-0c23edd48b06","created_at":"2020-04-16T02:34:45.879Z","updated_at":"2020-04-16T02:34:45.879Z","description":"Callbacks for items","url":"https://httpbin.org/post","object_type":"disbursements","enabled":true}],"meta":{"limit":10,"offset":0,"total":1},"links":{"self":"/callbacks"}}}}}}}}},"post":{"tags":["Callbacks"],"summary":"Create Callback","description":"Create a **Callback** to notify you at the `URL` when the `object_type` changes","operationId":"createCallback","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/callback_requestBody"}}}},"responses":{"201":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_callback"},"examples":{"response":{"value":{"callbacks":{"id":"30403493-7249-433a-83ce-555388f75c01","description":"testy","url":"https://httpbin.org","object_type":"batch_transactions","enabled":true,"authorization_token":null,"created_at":"2020-04-29T13:02:22.981Z","updated_at":"2020-04-29T13:02:22.981Z","links":{"self":"/callbacks?description=testy&url=https://httpbin.org&object_type=batch_transactions&enabled=true","responses":"/callbacks/30403493-7249-433a-83ce-555388f75c01/responses"}}}}}}}}}}},"/card_accounts":{"post":{"tags":["Card Accounts"],"summary":"Create Card Account","description":"Create a Credit **Card Account** to be used as a funding source. Store the returned `:id` and use it for a `make_payment` **Item Action** call. The `:id` is also referred to as a **token** when involving Credit Cards.\n","operationId":"createCardAccount","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/card_account_requestBody"}}}},"responses":{"201":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/card_account"},"examples":{"response":{"value":{"card_accounts":{"active":true,"created_at":"2020-04-29T23:00:01.369Z","updated_at":"2020-04-29T23:00:01.369Z","id":"14160da0-6c9b-0138-e2ca-0a58a9feac03","cvv_verified":true,"currency":"AUD","links":{"self":"/card_accounts/14160da0-6c9b-0138-e2ca-0a58a9feac03","users":"/card_accounts/14160da0-6c9b-0138-e2ca-0a58a9feac03/users"}}}}}}}}}}},"/card_accounts/{id}/users":{"get":{"tags":["Card Accounts"],"summary":"Show Card Account User","description":"Show the **User** the Credit **Card Account** is associated with using a given `:id`.","operationId":"showCardAccountUser","parameters":[{"name":"id","in":"path","description":"Card account ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"901d8cd0-6af3-0138-967d-0a58a9feac04"},"example":"901d8cd0-6af3-0138-967d-0a58a9feac04"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_user"},"examples":{"response":{"value":{"users":{"created_at":"2020-04-03T07:59:00.379Z","updated_at":"2020-04-03T07:59:00.379Z","id":"Seller_1234","full_name":"Samuel Seller","email":"sam@example.com","mobile":69543131,"phone":null,"logo_url":null,"color_1":null,"color_2":null,"first_name":"Samuel","last_name":"Seller","custom_descriptor":"Sam Garden Jobs","location":"AUS","verification_state":"pending","held_state":false,"roles":["customer"],"dob":"encrypted","government_number":"encrypted","drivers_license":null,"flags":{},"related":{"addresses":"11111111-2222-3333-4444-55555555555,"},"links":{"self":"/card_accounts/901d8cd0-6af3-0138-967d-0a58a9feac04/users","items":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/items","card_accounts":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/card_accounts","paypal_accounts":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/paypal_accounts","payid_accounts":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/payid_accounts","bank_accounts":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/bank_accounts","wallet_accounts":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/wallet_accounts"}}}}}}}}}}},"/card_accounts/{id}/verify":{"patch":{"tags":["Card Accounts"],"summary":"Verify Card","description":"Where pre-authorization is enabled on a platform, verifies a **Card Account** when a **Card Account** is successfully verified, its verification status is `verified`.","operationId":"verifyCard","parameters":[{"name":"id","in":"path","description":"Card account ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"},"example":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/card_account_verify_requestBody"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/card_account"},"examples":{"response":{"value":{"card_accounts":{"id":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","active":true,"verification_status":"verified","currency":"AUD","cvv_verified":true,"created_at":"2019-04-08T01:40:15.038Z","updated_at":"2019-04-08T01:40:15.038Z","card":{"type":"visa","full_name":"Jane Doe","number":"XXXX-XXXX-XXXX-1111","expiry_month":"10","expiry_year":"2020"},"links":{"self":"/card_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","users":"/card_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/users"}}}}}}}}}}},"/card_accounts/{id}":{"get":{"tags":["Card Accounts"],"summary":"Show Card Account","description":"Show details of a specific Credit **Card Account** using a given `:id`. You can toggle the card account number display to show the first 6 digits in addition to the last 4 digits. Contact Assembly if you want to toggle the card account display.\n","operationId":"showCardAccount","parameters":[{"name":"id","in":"path","description":"Card account ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"},"example":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/card_account"},"examples":{"response":{"value":{"card_accounts":{"id":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","active":true,"verification_status":"verified","currency":"AUD","cvv_verified":true,"created_at":"2019-04-08T01:40:15.038Z","updated_at":"2019-04-08T01:40:15.038Z","card":{"type":"visa","full_name":"Jane Doe","number":"XXXX-XXXX-XXXX-1111","expiry_month":"10","expiry_year":"2020"},"links":{"self":"/card_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","users":"/card_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/users"}}}}}}}}}},"delete":{"tags":["Card Accounts"],"summary":"Redact Card Account","description":"Redact a Credit **Card Account** using a given `:id`. Redacted Credit **Card Accounts** can no longer be used as a funding source.\n","operationId":"redactCardAccount","parameters":[{"name":"id","in":"path","description":"ID of the card account to be deleted","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"},"example":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/card_account_deletion"},"examples":{"response":{"value":{"card_account":"Successfully redacted"}}}}}}}}},"/companies":{"get":{"tags":["Companies"],"summary":"List Companies","description":"Retrieve an ordered and paginated list of existing **Companies**.","operationId":"listCompanies","parameters":[{"$ref":"#/components/parameters/limitParam"},{"$ref":"#/components/parameters/offsetParam"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/simple_companies"},"examples":{"response":{"value":{"companies":[{"id":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","name":"Dunder Mifflin","legal_name":"DunderCo","business_email":"dunder_miffline@email.com","related":{"address":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"},"links":{"self":"/companies/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"}},{"id":"5ba45160-4c56-0137-55f0-0242ac110002","name":"ABC","legal_name":"ABC Companys","business_email":"abc@email.com","related":{"address":"5ba44070-4c56-0137-ac73-0242ac110002"},"links":{"self":"/companies/5ba45160-4c56-0137-55f0-0242ac110002"}}],"meta":{"limit":10,"offset":0,"total":1},"links":{"self":"/companies"}}}}}}}}},"post":{"tags":["Companies"],"summary":"Create Company","description":"Create a **Company** associated with the **User** using a given `user_id`. **Note**: Some parameters are required for user verification. See our guide on [Onboarding a Payout User/Seller](https://developer.assemblypayments.com/docs/onboarding-a-pay-out-user) for more information.\n","operationId":"createCompany","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/company_requestBody"}}}},"responses":{"201":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_company"},"examples":{"response":{"value":{"companies":{"legal_name":"ABC Pty Ltd","name":"ABC","tax_number":"123456789","business_email":"abc@email.com","charge_tax":null,"phone":null,"id":"0386b4e0-6f59-0138-567d-0a58a9feac03","related":{"address":"0386a290-6f59-0138-2530-0a58a9feac03","users":"7443ead0-6af2-0138-1a92-0a58a9feac04"},"links":{"self":"/companies?name=ABC&legal_name=ABC%20Pty%20Ltd&tax_number=123456789&business_email=abc%40email.com&charge_tax&address_line1=Collins&address_line2&city=Melbourne&state=VIC&zip=3000&country=AUS&user_id=buyer-70729325"}}}}}}}}}}},"/companies/{id}":{"get":{"tags":["Companies"],"summary":"Show Company","description":"Show details of a specific **Company** using a given `:id`.","operationId":"showCompany","parameters":[{"name":"id","in":"path","description":"Company ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"},"example":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_company"},"examples":{"response":{"value":{"companies":[{"id":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","name":"Dunder Mifflin","legal_name":"DunderCo","business_email":"dunder_mifflin@email.com","related":{"address":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"},"links":{"self":"/companies/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"}}]}}}}}}}},"patch":{"tags":["Companies"],"summary":"Update Company","description":"Update an existing **Company** attributes using a given `:id`.","operationId":"updateCompany","parameters":[{"name":"id","in":"path","description":"Company ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"},"example":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/company_requestBody"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_company"},"examples":{"response":{"value":{"companies":[{"id":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","name":"Dunder Mifflin","legal_name":"DunderCo","business_email":"dunder_mifflin@email.com","related":{"address":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"},"links":{"self":"/companies/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee"}}]}}}}}}}}},"/direct_debit_authorities":{"get":{"tags":["Direct Debit Authorities"],"summary":"List Direct Debit Authorities","description":"Retrieve an ordered and paginated list of existing **Direct Debit Authorities**.","operationId":"listDirectDebitAuthorities","parameters":[{"name":"account_id","in":"query","description":"Bank account ID","required":true,"style":"form","explode":true,"schema":{"type":"string","default":"a2463ce3-229b-4da1-8a07-93366c1092c9"},"example":"a2463ce3-229b-4da1-8a07-93366c1092c9"},{"$ref":"#/components/parameters/limitParam"},{"$ref":"#/components/parameters/offsetParam"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/list_direct_debit_authorities"},"examples":{"response":{"value":{"direct_debit_authorities":[{"id":"a2463ce3-229b-4da1-8a07-93366c1092c9","created_at":"2020-05-03T11:03:30.833Z","updated_at":"2020-05-03T11:03:30.833Z","amount":100,"bank_bsb":"083001,803320","debit_user_id":"481561,342203","state":"approved","related":{"bank_accounts":"7fac6c60-6f5b-0138-eb9a-0a58a9feac03"},"links":{"self":"/direct_debit_authorities/a2463ce3-229b-4da1-8a07-93366c1092c9"}}]}}}}}}}},"post":{"tags":["Direct Debit Authorities"],"summary":"Create Direct Debit Authority","description":"Create a **Direct Debit Authority** associated with a **Bank Account**. The **Direct Debit Authority** is required to use a **Bank Account** as a funding source (Direct Debit/ACH).\n","operationId":"createDirectDebitAuthority","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/direct_debit_authority_requestBody"}}}},"responses":{"201":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_direct_debit_authority"},"examples":{"response":{"value":{"direct_debit_authorities":{"id":"a2463ce3-229b-4da1-8a07-93366c1092c9","created_at":"2020-05-03T11:03:30.833Z","updated_at":"2020-05-03T11:03:30.833Z","amount":100,"bank_bsb":"083001,803320","debit_user_id":"481561,342203","state":"approved","related":{"bank_accounts":"7fac6c60-6f5b-0138-eb9a-0a58a9feac03"},"links":{"self":"/direct_debit_authorities/a2463ce3-229b-4da1-8a07-93366c1092c9"}}}}}}}}}}},"/direct_debit_authorities/{id}":{"get":{"tags":["Direct Debit Authorities"],"summary":"Show Direct Debit Authority","description":"Show details of a specific **Direct Debit Authority** using a given `:id`.","operationId":"showDirectDebitAuthority","parameters":[{"name":"id","in":"path","description":"Direct debit authority ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"57abfd04-2ccb-4d55-8bd3-6f1a24a6ea47"},"example":"57abfd04-2ccb-4d55-8bd3-6f1a24a6ea47"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_direct_debit_authority"},"examples":{"response":{"value":{"direct_debit_authorities":{"id":"57abfd04-2ccb-4d55-8bd3-6f1a24a6ea47","created_at":"2016-04-18T05:21:27.339Z","updated_at":"2016-04-18T05:21:27.339Z","amount":12345,"bank_bsb":"123456","debit_user_id":"481561","state":"approved","related":{"bank_accounts":"ffe73bc7-0577-4e8c-8591-05b1583da5d1"},"links":{"self":"/direct_debit_authorities/57abfd04-2ccb-4d55-8bd3-6f1a24a6ea47"}}}}}}}}}}},"/fees":{"get":{"tags":["Fees"],"summary":"List Fees","description":"Retrieve an ordered and paginated list of existing **Fees**.","operationId":"listFees","parameters":[{"$ref":"#/components/parameters/limitParam"},{"$ref":"#/components/parameters/offsetParam"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/fees"},"examples":{"response":{"value":{"fees":[{"id":"59826643-35d7-441f-bf44-978df61a80ae","created_at":"2020-05-03T11:32:01.092Z","updated_at":"2020-05-03T11:32:01.092Z","name":"marketplace-bpay","fee_type_id":1,"amount":150,"cap":null,"min":null,"max":null,"to":"buyer","links":{"self":"/fees/59826643-35d7-441f-bf44-978df61a80ae"}}],"meta":{"limit":10,"offset":0,"total":1},"links":{"self":"/fees"}}}}}}}}},"post":{"tags":["Fees"],"summary":"Create fee","description":"Create a **Fee** to be associated with an **Item**. **Fees** will add or subtract from the **Item** amount based on the **User**, payment type or Disbursement account type. **Fees** can be `Fixed` or `Percentage` based. **Fees** can be capped, have a maximum amount and/or a minimum amount.\n","operationId":"createFee","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/fee_requestBody"}}}},"responses":{"201":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_fee"},"examples":{"response":{"value":{"fees":{"id":"1e5e372a-df3a-4f77-af2f-ec294b1715ce","created_at":"2016-04-18T05:21:27.339Z","updated_at":"2016-04-18T05:21:27.339Z","name":"Seller Success Fee","fee_type_id":2,"amount":200,"cap":null,"min":null,"max":null,"to":"seller","links":{"self":"/fees/1e5e372a-df3a-4f77-af2f-ec294b1715ce"}}}}}}}}}}},"/fees/{id}":{"get":{"tags":["Fees"],"summary":"Show Fee","description":"Show details of a specific **Fee** using a given `:id`. If the `item_amount` is specified, the response also shows the `calculated_fee` based on a percentage of the `item_amount`.\n","operationId":"showFee","parameters":[{"name":"id","in":"path","description":"Fee ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"1e5e372a-df3a-4f77-af2f-ec294b1715ce"},"example":"1e5e372a-df3a-4f77-af2f-ec294b1715ce"},{"name":"item_amount","in":"query","description":"The cost of the item in cents on which the calculated Fee is based","required":true,"style":"form","explode":true,"schema":{"type":"integer","default":"200"},"example":"200"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_fee"},"examples":{"response":{"value":{"fees":{"id":"1e5e372a-df3a-4f77-af2f-ec294b1715ce","created_at":"2016-04-18T05:21:27.339Z","updated_at":"2016-04-18T05:21:27.339Z","name":"Seller Success Fee","fee_type_id":2,"amount":200,"cap":null,"min":null,"max":null,"to":"seller","calculated_fee":10,"links":{"self":"/fees/1e5e372a-df3a-4f77-af2f-ec294b1715ce"}}}}}}}}}}},"/charges":{"get":{"tags":["Charges"],"summary":"List Charges","description":"Retrieve an ordered and paginated list of **Charges**.","operationId":"listCharges","parameters":[{"$ref":"#/components/parameters/limitParam"},{"$ref":"#/components/parameters/offsetParam"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/charges"},"examples":{"response":{"value":{"charges":[{"id":"4d7d73f5-c7f0-477d-aff8-7570d2c7e7d9","name":"Charge39221049","created_at":"2019-04-29T02:49:09.855Z","updated_at":"2019-04-29T02:49:09.855Z","state":"pending","buyer_fees":0,"seller_fees":0,"credit_card_fee":0,"status":22000,"amount":174200,"custom_descriptor":null,"custom_data":null,"account_id":null,"account_type":"pending","promisepay_fee":3048,"currency":"AUD","payment_method":"charge","dynamic_descriptor":null,"buyer_name":"Neol1556506027 Calangi","buyer_email":"neol.calangi+buyer1556506027@promisepay.com","buyer_country":"AUS","seller_name":"First1556505750 LastName","seller_email":"ausplatform1556505750@assemblypayments.com","seller_country":"AUS","links":{"self":"/charges?limit=2&offset","buyers":"/charges/4d7d73f5-c7f0-477d-aff8-7570d2c7e7d9/buyers","sellers":"/charges/4d7d73f5-c7f0-477d-aff8-7570d2c7e7d9/sellers","status":"/charges/4d7d73f5-c7f0-477d-aff8-7570d2c7e7d9/status"}},{"id":"a8fb1574-8976-4a56-84f4-ba2936c9c274","name":"Charge39221014","created_at":"2019-04-29T02:48:34.879Z","updated_at":"2019-04-29T02:48:41.187Z","state":"payment_held","buyer_fees":0,"seller_fees":0,"credit_card_fee":0,"status":22175,"amount":170700,"custom_descriptor":null,"custom_data":null,"account_id":"201b6450-4c57-0137-05c1-0242ac110002","account_type":"credit card","promisepay_fee":6004,"currency":"AUD","payment_method":"charge","dynamic_descriptor":"100014012193770","buyer_name":"Neol1556506027 Calangi","buyer_email":"neol.calangi+buyer1556506027@promisepay.com","buyer_country":"AUS","seller_name":"First1556505750 LastName","seller_email":"ausplatform1556505750@assemblypayments.com","seller_country":"AUS","links":{"self":"/charges?limit=2&offset","buyers":"/charges/a8fb1574-8976-4a56-84f4-ba2936c9c274/buyers","sellers":"/charges/a8fb1574-8976-4a56-84f4-ba2936c9c274/sellers","status":"/charges/a8fb1574-8976-4a56-84f4-ba2936c9c274/status"}}],"links":{"self":"/charges"},"meta":{"limit":2,"offset":0,"total":9}}}}}}}}},"post":{"tags":["Charges"],"summary":"Create Charge","description":"Create a **Charge**. **Charges** require a specified **Card Account** or **Bank Account**. You may pass through an existing **User**, or define the `user_id` of the new user that will be associated with the **Charge** and the provided Account. The `user_id` can be left blank if you wish for a new user to be created for the **Charge**, or specified if you wish for a new **User** to be created with the passed `user_id`.\n","operationId":"createCharge","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/charge_requestBody"}}}},"responses":{"201":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_charge"},"examples":{"response":{"value":{"charges":{"id":"9a91972f-734c-474e-b8dd-5312d1ffd799","name":"Test Charge 001","created_at":"2020-05-03T12:00:54.422Z","updated_at":"2020-05-03T12:01:02.340Z","state":"completed","buyer_fees":0,"seller_fees":0,"credit_card_fee":0,"status":22500,"amount":1000,"custom_descriptor":null,"custom_data":null,"account_id":"5ef44050-4c56-0137-abdf-0242ac110002","account_type":"credit card","promisepay_fee":65,"currency":"AUD","payment_method":"charge","dynamic_descriptor":"100014012464153","buyer_name":"Neol1556505753 Calangi","buyer_email":"neol.calangi+buyer1556505753@promisepay.com","buyer_zip":"3000","buyer_country":"AUS","related":{"buyers":"buyer-1556505753","sellers":"76cf57db94d9e1f07a60c009be2adec0"},"links":{"self":"/charges/9a91972f-734c-474e-b8dd-5312d1ffd799","buyers":"/charges/9a91972f-734c-474e-b8dd-5312d1ffd799/buyers","sellers":"/charges/9a91972f-734c-474e-b8dd-5312d1ffd799/sellers","status":"/charges/9a91972f-734c-474e-b8dd-5312d1ffd799/status"}}}}}}}}}}},"/charges/{id}":{"get":{"tags":["Charges"],"summary":"Show Charge","description":"Show details of a specific **Charge** using a given `:id`.","operationId":"showCharge","parameters":[{"name":"id","in":"path","description":"Charge ID","required":true,"schema":{"type":"string","default":"4d7d73f5-c7f0-477d-aff8-7570d2c7e7d9"},"example":"4d7d73f5-c7f0-477d-aff8-7570d2c7e7d9"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_charge"},"examples":{"response":{"value":{"charges":{"id":"4d7d73f5-c7f0-477d-aff8-7570d2c7e7d9","name":"Charge39221049","created_at":"2019-04-29T02:49:09.855Z","updated_at":"2019-04-29T02:49:09.855Z","state":"pending","buyer_fees":0,"seller_fees":0,"credit_card_fee":0,"status":22000,"amount":174200,"custom_descriptor":null,"custom_data":null,"account_id":null,"account_type":"pending","promisepay_fee":3048,"currency":"AUD","payment_method":"charge","dynamic_descriptor":null,"buyer_name":"Neol1556506027 Calangi","buyer_email":"neol.calangi+buyer1556506027@promisepay.com","buyer_zip":"1634","buyer_country":"AUS","related":{"buyers":"buyer-1556506027","sellers":"76cf57db94d9e1f07a60c009be2adec0"},"links":{"self":"/charges/4d7d73f5-c7f0-477d-aff8-7570d2c7e7d9","buyers":"/charges/4d7d73f5-c7f0-477d-aff8-7570d2c7e7d9/buyers","sellers":"/charges/4d7d73f5-c7f0-477d-aff8-7570d2c7e7d9/sellers","status":"/charges/4d7d73f5-c7f0-477d-aff8-7570d2c7e7d9/status"}}}}}}}}}}},"/charges/{id}/status":{"get":{"tags":["Charges"],"summary":"Show Charge Status","description":"Show status of a specific **Charge** using a given `:id`.","operationId":"showChargeStatus","parameters":[{"name":"id","in":"path","description":"Charge ID","required":true,"schema":{"type":"string","default":"1e5e372a-df3a-4f77-af2f-ec294b1715ce"},"example":"1e5e372a-df3a-4f77-af2f-ec294b1715ce"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_charge_status"},"examples":{"response":{"value":{"charges":{"id":"1e5e372a-df3a-4f77-af2f-ec294b1715ce","state":"completed","status":22500}}}}}}}}}},"/charges/{id}/buyers":{"get":{"tags":["Charges"],"summary":"Show Charge Buyer","description":"Show the buyer **User** associated with the **Charge** using a given `:id`.","operationId":"showChargeBuyer","parameters":[{"name":"id","in":"path","description":"Charge ID","required":true,"schema":{"type":"string","default":"4d7d73f5-c7f0-477d-aff8-7570d2c7e7d9/buyers"},"example":"4d7d73f5-c7f0-477d-aff8-7570d2c7e7d9/buyers"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_user"},"examples":{"response":{"value":{"users":{"created_at":"2019-04-29T02:47:08.348Z","updated_at":"2019-04-29T02:47:08.348Z","full_name":"Neol1556506027 Calangi","email":"neol.calangi+buyer1556506027@promisepay.com","mobile":"+21556506027","phone":null,"logo_url":null,"color_1":null,"color_2":null,"first_name":"Neol1556506027","last_name":"Calangi","id":"buyer-1556506027","custom_descriptor":null,"location":"AUS","verification_state":"pending","held_state":false,"roles":["customer"],"dob":"encrypted","government_number":null,"drivers_license":null,"flags":{},"related":{"addresses":"00eb5be0-4c57-0137-ad3d-0242ac110002"},"links":{"self":"/charges/4d7d73f5-c7f0-477d-aff8-7570d2c7e7d9/buyers","items":"/users/buyer-1556506027/items","card_accounts":"/users/buyer-1556506027/card_accounts","paypal_accounts":"/users/buyer-1556506027/paypal_accounts","payid_accounts":"/users/buyer-1556506027/payid_accounts","bank_accounts":"/users/buyer-1556506027/bank_accounts","wallet_accounts":"/users/buyer-1556506027/wallet_accounts"}}}}}}}}}}},"/marketplace":{"get":{"tags":["Marketplaces"],"summary":"Show Marketplace","description":"Show details of your **Platform**, providing access to your configuration and related **User** and **Company**.","operationId":"showMarketplace","parameters":[],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/marketplace"},"examples":{"response":{"value":{"marketplaces":{"id":"041e8015-5101-44f1-9b7d-6a206603f29f","group_name":null,"name":"platform1556505750","short_name":null,"color_1":null,"color_2":null,"color_3":null,"color_4":null,"color_5":null,"website":null,"payment_frequency":"daily","alt_marketplace_id":null,"state":"pending","logo":null,"active":true,"alt_marketplace_auth":null,"disable_approve_logo":false,"enable_virtual_terminal":false,"currency":"AUD","email":"ausplatform1556505750@assemblypayments.com","seller_white_labeled":false,"partial_refunds":true,"related":{"users":"76cf57db94d9e1f07a60c009be2adec0","company":"5ba45160-4c56-0137-55f0-0242ac110002"},"links":{"self":"/marketplace","principal":"/users/76cf57db94d9e1f07a60c009be2adec0","company":"/companies/5ba45160-4c56-0137-55f0-0242ac110002"}}}}}}}}}}},"/token_auths":{"post":{"tags":["Token Auth"],"summary":"Generate Token","description":"Create a token, either for a bank or a card account, that can be used with the **PromisePay.js** package to securely send Assembly credit card details.","operationId":"generateToken","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/token_auth_requestBody"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"properties":{"token_auth":{"type":"object","properties":{"token_type":{"type":"string"},"token":{"type":"string"},"user_id":{"type":"string"}}}}},"examples":{"response":{"value":{"token_auth":{"token_type":"bank","token":"40341ea80c0baaf43ff45e2473cf2782","user_id":"seller-68611249"}}}}}}}}}},"/tools/status":{"get":{"tags":["Tools"],"summary":"Health check","description":"Displays a health check of the Assembly service.","operationId":"healthCheck","parameters":[],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/tools_status"},"examples":{"response":{"value":{"status":"healthy"}}}}}}}}},"/transactions":{"get":{"tags":["Transactions"],"summary":"List Transactions","description":"Retrieve an ordered and paginated list of **Transactions**. Note: `created_before` and `created_after` range can not be greater than 31 days","operationId":"listTransactions","parameters":[{"$ref":"#/components/parameters/limitParam"},{"$ref":"#/components/parameters/offsetParam"},{"name":"account_id","in":"query","description":"Bank, Card or Wallet Account ID.","style":"form","explode":true,"schema":{"type":"string"},"example":""},{"name":"item_id","in":"query","description":"Item ID","style":"form","explode":true,"schema":{"type":"string"},"example":""},{"$ref":"#/components/parameters/transactionType"},{"$ref":"#/components/parameters/transactionTypeMethod"},{"name":"direction","in":"query","description":"Direction of the transaction.","style":"form","explode":true,"schema":{"type":"string","enum":["debit","credit"]},"example":""},{"name":"user_id","in":"query","description":"User ID.","style":"form","explode":true,"schema":{"type":"string"},"example":""},{"name":"created_before","in":"query","description":"Date and time in ISO 8601 format the item(s) were created before (e.g. 2020-02-27T23:54:59Z)","style":"form","explode":true,"schema":{"type":"string"},"example":""},{"name":"created_after","in":"query","description":"Date and time in ISO 8601 format the item(s) were created after (e.g. 2020-02-27T23:54:59Z)","style":"form","explode":true,"schema":{"type":"string"},"example":""}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/transactions"},"examples":{"response":{"value":{"transactions":[{"id":"aed5a210-6f63-0138-63f3-0a58a9feac03","reference_id":null,"created_at":"2020-05-03T12:01:02.230Z","updated_at":"2020-05-03T12:01:02.235Z","description":"Credit of $10.00 to Wallet Account by Debit of $10.00 from Item","type":"withdrawal","type_method":"misc","state":"successful","user_id":"76cf57db94d9e1f07a60c009be2adec0","user_name":"First1556505750 LastName","account_id":"5c1c6b10-4c56-0137-8cd7-0242ac110002","account_type":"wallet_account","amount":1000,"currency":"AUD","debit_credit":"credit","marketplace":{"group_name":null,"name":"platform1556505750","short_name":null,"uuid":"041e8015-5101-44f1-9b7d-6a206603f29f"},"related":{"transactions":[{"id":"aed53110-6f63-0138-ea83-0a58a9feac03","account_id":"9a91972f-734c-474e-b8dd-5312d1ffd799","account_type":"item","user_id":"76cf57db94d9e1f07a60c009be2adec0","user_name":"First1556505750 LastName","item_name":"Test Charge 001"}]}},{"id":"aed53110-6f63-0138-ea83-0a58a9feac04","reference_id":"7190770-1-2908","created_at":"2020-05-03T12:01:02.203Z","updated_at":"2020-05-03T12:01:02.266Z","description":"Debit of $10.00 from Item for Credit of $10.00 to Wallet Account","type":"release","type_method":"wallet_account_transfer","state":"successful","user_id":"76cf57db94d9e1f07a60c009be2adec0","user_name":"First1556505750 LastName","account_id":"9a91972f-734c-474e-b8dd-5312d1ffd799","account_type":"item","item_name":"Test Charge 001","dynamic_descriptor":"100014012464153","amount":1000,"currency":"AUD","debit_credit":"debit","marketplace":{"group_name":null,"name":"platform1556505750","short_name":null,"uuid":"041e8015-5101-44f1-9b7d-6a206603f29f"},"related":{"transactions":[{"id":"aed5a210-6f63-0138-63f3-0a58a9feac04","account_id":"5c1c6b10-4c56-0137-8cd7-0242ac110002","account_type":"wallet_account","user_id":"76cf57db94d9e1f07a60c009be2adec0","user_name":"First1556505750 LastName"}]}}],"meta":{"limit":2,"offset":0,"total":138},"links":{"self":"/transactions?limit=2"}}}}}}}}}},"/transactions/{id}/bank_accounts":{"get":{"tags":["Transactions"],"summary":"Show Transaction Bank Account","description":"Show the **Bank Account** associated with the **Transaction** using a given `:id`.","operationId":"showTransactionBankAccount","parameters":[{"name":"id","in":"path","description":"Transaction ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"aed53110-6f63-0138-ea83-0a58a9feac04"},"example":"aed53110-6f63-0138-ea83-0a58a9feac04"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/bank_account_au"},"examples":{"response":{"value":{"bank_accounts":{"id":"aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","active":true,"created_at":"2020-04-27T20:28:22.378Z","updated_at":"2020-04-27T20:28:22.378Z","verification_status":"verified","currency":"AUD","bank":{"bank_name":"Bank of Australia","country":"AUS","account_name":"Samuel Seller","routing_number":"XXXXX3","account_number":"XXX234","holder_type":"personal","account_type":"checking","direct_debit_authority_status":"approved"},"links":{"self":"/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee","users":"/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/users","direct_debit_authorities":"/bank_accounts/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/direct_debit_authorities"}}}}}}}}}}},"/transactions/{id}":{"get":{"tags":["Transactions"],"summary":"Show Transaction","description":"Show details of a specific **Transaction** using a given `:id`.","operationId":"showTransaction","parameters":[{"name":"id","in":"path","description":"Transaction ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"27b91b10-70eb-0138-ec44-0a58a9feac06"},"example":"27b91b10-70eb-0138-ec44-0a58a9feac06"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_transaction"},"examples":{"response":{"value":{"transactions":{"id":"27b91b10-70eb-0138-ec44-0a58a9feac06","reference_id":null,"created_at":"2020-05-05T10:43:18.204Z","updated_at":"2020-05-05T10:43:18.209Z","description":"Credit of $1.14 to Wallet Account by Debit of $1.14 from NPP Payin Funding Account","payee_name":"Test Assembly","type":"deposit","type_method":"npp_payin","state":"successful","user_id":"buyer-71385870","user_name":"Neol Buyer","account_id":"17bac5f0-70eb-0138-3425-0a58a9feac06","account_type":"wallet_account","amount":114,"currency":"AUD","debit_credit":"credit","marketplace":{"group_name":null,"name":"platform1556505750","short_name":null,"uuid":"041e8015-5101-44f1-9b7d-6a206603f29f"},"related":{"transactions":[{"id":"27b8fff0-70eb-0138-7dc9-0a58a9feac06","account_id":"8c024550-fc22-0136-ad8b-0242ac110003","account_type":"npp_payin_account","user_id":"buyer-71385870","user_name":"Neol Buyer"}]},"payin_details":{"debtor_name":"Test Assembly","debtor_legal_name":"Test Assembly","debtor_bsb":"923100","debtor_account":"92310031694004","clearing_system_transaction_id":"INGBAU2SXXXN20181213009149405094650","remittance_information":"100014013068940","pay_id":"npp@assemblypayments.com","pay_id_type":"/EMAL","end_to_end_id":"NOTPROVIDED","npp_payin_internal_id":"3a768370-8ebd-11ea-a8ab-af8225e7132d"},"links":{"self":"/transactions/27b91b10-70eb-0138-ec44-0a58a9feac06","users":"/transactions/27b91b10-70eb-0138-ec44-0a58a9feac06/users","fees":"/transactions/27b91b10-70eb-0138-ec44-0a58a9feac06/fees","wallet_accounts":"/transactions/27b91b10-70eb-0138-ec44-0a58a9feac06/wallet_accounts","card_accounts":"/transactions/27b91b10-70eb-0138-ec44-0a58a9feac06/card_accounts","paypal_accounts":"/transactions/27b91b10-70eb-0138-ec44-0a58a9feac06/paypal_accounts","bank_accounts":"/transactions/27b91b10-70eb-0138-ec44-0a58a9feac06/bank_accounts","items":"/transactions/27b91b10-70eb-0138-ec44-0a58a9feac06/items","marketplaces":"/transactions/27b91b10-70eb-0138-ec44-0a58a9feac06/marketplaces","npp_payin_transaction_detail":"/transactions/27b91b10-70eb-0138-ec44-0a58a9feac06/npp_payin_transaction_detail","supplementary_data":"/transactions/27b91b10-70eb-0138-ec44-0a58a9feac06/supplementary_data"}}}}}}}}}}},"/transactions/{id}/card_accounts":{"get":{"tags":["Transactions"],"summary":"Show Transaction Card Account","description":"Show the **Card Account** associated with the **Transaction** using a given `:id`.","operationId":"showTransactionCardAccount","parameters":[{"name":"id","in":"path","description":"Transaction ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"ea36e48a-4638-4d1a-a345-e1a0a584df8b"},"example":"ea36e48a-4638-4d1a-a345-e1a0a584df8b"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/card_account"},"examples":{"response":{"value":{"card_accounts":{"active":false,"created_at":"2019-04-29T02:42:37.246Z","updated_at":"2020-05-03T12:01:01.378Z","id":"5ef44050-4c56-0137-abdf-0242ac110002","verification_status":"not_verified","cvv_verified":true,"currency":"AUD","card":{"type":"visa","full_name":"Neol Calangi","number":"XXXX-XXXX-XXXX-1111","expiry_month":"7","expiry_year":"2021"},"links":{"self":"/transactions/ea36e48a-4638-4d1a-a345-e1a0a584df8b/card_accounts","users":"/card_accounts/5ef44050-4c56-0137-abdf-0242ac110002/users"}}}}}}}}}}},"/transactions/{id}/fees":{"get":{"tags":["Transactions"],"summary":"Show Transaction Fees","description":"Show the **Fees** associated with the **Transaction** using a given `:id`.","operationId":"showTransactionFees","parameters":[{"name":"id","in":"path","description":"Transaction ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"ea36e48a-4638-4d1a-a345-e1a0a584df8b"},"example":"ea36e48a-4638-4d1a-a345-e1a0a584df8b"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/fees"},"examples":{"response":{"value":{"fees":{"id":"1e5e372a-df3a-4f77-af2f-ec294b1715ce","created_at":"2016-04-18T05:21:27.339Z","updated_at":"2016-04-18T05:21:27.339Z","name":"Seller Success Fee","fee_type_id":2,"amount":200,"cap":null,"min":null,"max":null,"to":"seller","links":{"self":"/fees/1e5e372a-df3a-4f77-af2f-ec294b1715ce"}}}}}}}}}}},"/transactions/{id}/wallet_accounts":{"get":{"tags":["Transactions"],"summary":"Show Transaction Wallet Account","description":"Show the **Wallet Account** associated with the **Transaction** using a given `:id`.","operationId":"showTransactionWalletAccount","parameters":[{"name":"id","in":"path","description":"Transaction ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"ea36e48a-4638-4d1a-a345-e1a0a584df8b"},"example":"ea36e48a-4638-4d1a-a345-e1a0a584df8b"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/wallet_account"},"examples":{"response":{"value":{"wallet_accounts":{"id":"5c1c6b10-4c56-0137-8cd7-0242ac110002","active":true,"created_at":"2019-04-29T02:42:31.536Z","updated_at":"2020-05-03T12:01:02.254Z","balance":663337,"currency":"AUD","links":{"self":"/transactions/aed45af0-6f63-0138-901c-0a58a9feac03/wallet_accounts","users":"/wallet_accounts/5c1c6b10-4c56-0137-8cd7-0242ac110002/users","batch_transactions":"/wallet_accounts/5c1c6b10-4c56-0137-8cd7-0242ac110002/batch_transactions","transactions":"/wallet_accounts/5c1c6b10-4c56-0137-8cd7-0242ac110002/transactions","bpay_details":"/wallet_accounts/5c1c6b10-4c56-0137-8cd7-0242ac110002/bpay_details","npp_details":"/wallet_accounts/5c1c6b10-4c56-0137-8cd7-0242ac110002/npp_details","virtual_accounts":"/wallet_accounts/5c1c6b10-4c56-0137-8cd7-0242ac110002/virtual_accounts"}}}}}}}}}}},"/transactions/{id}/users":{"get":{"tags":["Transactions"],"summary":"Show Transaction User","description":"Show the **User** associated with the **Transaction** using a given `:id`.","operationId":"showTransactionUser","parameters":[{"name":"id","in":"path","description":"Transaction ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"901d8cd0-6af3-0138-967d-0a58a9feac04"},"example":"901d8cd0-6af3-0138-967d-0a58a9feac04"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_user"},"examples":{"response":{"value":{"users":{"created_at":"2020-04-03T07:59:00.379Z","updated_at":"2020-04-03T07:59:00.379Z","id":"Seller_1234","full_name":"Samuel Seller","email":"sam@example.com","mobile":69543131,"phone":null,"logo_url":null,"color_1":null,"color_2":null,"first_name":"Samuel","last_name":"Seller","custom_descriptor":"Sam Garden Jobs","location":"AUS","verification_state":"pending","held_state":false,"roles":["customer"],"dob":"encrypted","government_number":"encrypted","drivers_license":null,"flags":{},"related":{"addresses":"11111111-2222-3333-4444-55555555555,"},"links":{"self":"/transactions/901d8cd0-6af3-0138-967d-0a58a9feac04/users","items":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/items","card_accounts":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/card_accounts","paypal_accounts":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/paypal_accounts","payid_accounts":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/payid_accounts","bank_accounts":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/bank_accounts","wallet_accounts":"/users/e6bc0480-57ae-0138-c46e-0a58a9feac03/wallet_accounts"}}}}}}}}}}},"/batch_transactions":{"get":{"tags":["Batch Transactions"],"summary":"List Batch Transactions","description":"Retrieve an ordered and paginated list of existing **Batch Transactions**. The list can be filtered by **Account**, **Batch ID**, **Item**, and **Transaction Type**.\n","operationId":"listBatchTransactions","parameters":[{"$ref":"#/components/parameters/limitParam"},{"$ref":"#/components/parameters/offsetParam"},{"name":"account_id","in":"query","description":"Bank, Card or Wallet Account ID.","style":"form","explode":true,"schema":{"type":"string"},"example":""},{"name":"batch_id","in":"query","description":"Batch ID. This appears on a bank reference.","style":"form","explode":true,"schema":{"type":"string"},"example":""},{"name":"item_id","in":"query","description":"Item ID","style":"form","explode":true,"schema":{"type":"string"},"example":""},{"$ref":"#/components/parameters/transactionType"},{"$ref":"#/components/parameters/transactionTypeMethod"},{"name":"direction","in":"query","description":"Direction of the transaction. Options are debit, credit","style":"form","explode":true,"schema":{"type":"string","enum":["debit","credit"]},"example":""},{"name":"created_before","in":"query","description":"Date and time in ISO 8601 format the item(s) were created before (e.g. 2020-02-27T23:54:59Z)","style":"form","explode":true,"schema":{"type":"string"},"example":""},{"name":"created_after","in":"query","description":"Date and time in ISO 8601 format the item(s) were created after (e.g. 2020-02-27T23:54:59Z)","style":"form","explode":true,"schema":{"type":"string"},"example":""},{"name":"disbursement_bank","in":"query","description":"The bank used for disbursing the payment. Please use a default value of `any`","style":"form","explode":true,"schema":{"type":"string"},"example":"any"},{"name":"processing_bank","in":"query","description":"The bank used for processing the payment. Please use a default value of `any`","style":"form","explode":true,"schema":{"type":"string"},"example":"any"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/list_batch_transactions"},"examples":{"response":{"value":{"batch_transactions":[{"created_at":"2020-05-04T02:05:21.577Z","updated_at":"2020-05-04T02:05:57.302Z","status":12200,"id":12484,"reference_id":"7190770-1-2908","uuid":"fe121ef2-1304-4e32-87f8-cb35907e9086","disbursement_bank":null,"processing_bank":null,"external_reference":null,"reference_amount":null,"internal_state":null,"internal_status":null,"account_external":{"account_type_id":9100,"currency":{"code":"AUD"}},"external_account_details":"wl+nVSMZ3zoQPf7R3gAB4zqbj57ufv/lCnTjx64Dmenjb8S4ZNs5xI/GE1Lt\n0K4GrTh+nChpCP6U3ejlxNDi0fK0DUNF2XR0LkuAtJGlXsiH/adpzIhOtkaD\n96yT5lu5/bNOw8oNykr3oUol7mqJf6GHf2Qp+Fb4QG8UdS1lO8hHMpCjHfal\nDqQjHbsO2CP3AxwDOE8dVAlihYayEhc/rYbmE+LHbfXXLYBMeUgn+ELf5KIR\n2qNUmjMCGlbeChX9Ek13LL5gwV9HmqYLl+w065+4ey27kfHHeByiMq6xXTNm\nvi10XWswHAjAjahZHQz97FPPFDF9jEfU+UCPNrk1iQ==\n","external_account_details_encrypted":true,"marketplace":{"group_name":null,"name":"platform neol 1556509948","short_name":null,"uuid":"8124ac0a-4ac2-4a30-a036-b00120118a87","account_details":"Cb7Sku6dDbSUKXkGpka/YXnw0m4lD/MVVNjmZ2Ki910kgLJnJMeENVL2+tRj\n5aOtXSqYOknPCQ/ZbVaQCutMvGjlw1IeQCvaP2D/cz3yKTbk5eezJvKXnQ8t\ni0y2R1LPTu3nsfaRIn/J0o4nhfyO1qnA3rpfeS2GgRhLaDy7DDOQ2Bz3i7uu\naFKKLqM6GUyeTweUnCX1WoR3YHPN5Jk/4mPz7LwGJ+7L4GlfACvEuMb5Ls0Z\ng1hUzz8PJt3SBMpM620NephmNnfCLnxpbtuf9CNqDibjuZOLwtn0JlLQRei9\n41hMOLmzzX2SwuiL2ghqOxSpUPsByC8UuJhMSsQ48g==\n","account_details_encrypted":true},"first_name":"Assembly","last_name":"seller71264506","user_email":"neol_seller71264506@assemblypayments.com","user_external_id":"seller-71264506","payout_currency":null,"type":"disbursement","type_method":"direct_credit","batch_id":241,"cuscal_payment_transaction_id":null,"reference":"241: platform neol 1556509948","state":"batched","user_id":"84feb680-6fd0-0138-f438-0a58a9feac03","account_id":"851265b0-6fd0-0138-7374-0a58a9feac03","from_user_name":"Assembly seller71264506","from_user_id":"84feb680-6fd0-0138-f438-0a58a9feac03","refund_state":null,"account_type":"wallet_account","amount":542419,"currency":"AUD","country":null,"debit_credit":"credit","item":{"id":null,"item_number":null},"description":"Debit of $5,424.19 from Wallet Account for Credit of $5,424.19 to Bank Account","related":{"account_to":{"id":"8557cae0-6fd0-0138-8cac-0a58a9feac03","account_type":"bank_account","user_id":"84feb680-6fd0-0138-f438-0a58a9feac03"}}},{"created_at":"2020-05-04T02:05:21.303Z","updated_at":"2020-05-04T02:05:57.188Z","status":12200,"id":12483,"reference_id":"7190770-1-2908","uuid":"b843535a-903f-4351-aa0c-983c6e6eecb1","disbursement_bank":null,"processing_bank":null,"external_reference":null,"reference_amount":null,"internal_state":null,"internal_status":null,"account_external":{"account_type_id":9100,"currency":{"code":"AUD"}},"external_account_details":"a6egntycAJXBoJnbiWVh5yuNeLl0Cc20Wk+kCKpoYPd+q/P5mShk2s5BLJts\nwZOR+SaoTZ5UXj7TlEH0dZKSBLTVwCHofdJwXF+9m1SZJBRALQWny9p+VK1R\ny2wOCvvANx58a2YCvwV60eI3sHnTbOda1P6D0WC8ghAszoEzfJAIwc9j6OFE\n/8DUGqhqJbvHCmtXUztca/Ugf8aRLxZwRUigFSr4Ht+2OZRT3I6F+phh7CTq\n5rqu70T44DpIvOOqdxQTsix1FW8PskW3k5d3NrgUYFJ4itjlyfHg7ESYI2Q4\nvnCNymXoLIkAgil4dFM+4A+6UAsKdBL0HwR3YpXoZA==\n","external_account_details_encrypted":true,"marketplace":{"group_name":null,"name":"platform neol 1556509948","short_name":null,"uuid":"8124ac0a-4ac2-4a30-a036-b00120118a87","account_details":"Cb7Sku6dDbSUKXkGpka/YXnw0m4lD/MVVNjmZ2Ki910kgLJnJMeENVL2+tRj\n5aOtXSqYOknPCQ/ZbVaQCutMvGjlw1IeQCvaP2D/cz3yKTbk5eezJvKXnQ8t\ni0y2R1LPTu3nsfaRIn/J0o4nhfyO1qnA3rpfeS2GgRhLaDy7DDOQ2Bz3i7uu\naFKKLqM6GUyeTweUnCX1WoR3YHPN5Jk/4mPz7LwGJ+7L4GlfACvEuMb5Ls0Z\ng1hUzz8PJt3SBMpM620NephmNnfCLnxpbtuf9CNqDibjuZOLwtn0JlLQRei9\n41hMOLmzzX2SwuiL2ghqOxSpUPsByC8UuJhMSsQ48g==\n","account_details_encrypted":true},"first_name":"Assembly","last_name":"seller71264480","user_email":"neol_seller71264480@assemblypayments.com","user_external_id":"seller-71264480","payout_currency":null,"type":"disbursement","type_method":"direct_credit","batch_id":241,"cuscal_payment_transaction_id":null,"reference":"241: platform neol 1556509948","state":"batched","user_id":"755042f0-6fd0-0138-7c6e-0a58a9feac03","account_id":"7588e1c0-6fd0-0138-8e9a-0a58a9feac03","from_user_name":"Assembly seller71264480","from_user_id":"755042f0-6fd0-0138-7c6e-0a58a9feac03","refund_state":null,"account_type":"wallet_account","amount":815439,"currency":"AUD","country":null,"debit_credit":"credit","item":{"id":null,"item_number":null},"description":"Debit of $8,154.39 from Wallet Account for Credit of $8,154.39 to Bank Account","related":{"account_to":{"id":"75dc2840-6fd0-0138-f50b-0a58a9feac03","account_type":"bank_account","user_id":"755042f0-6fd0-0138-7c6e-0a58a9feac03"}}}],"meta":{"limit":2,"offset":0,"total":1378},"links":{"self":"/batch_transactions?limit=2&user_id=&transaction_type=&batch_id=&disbursement_bank"}}}}}}}}}},"/batch_transactions/{id}":{"get":{"tags":["Batch Transactions"],"summary":"Show Batch Transaction","description":"Get a batch transaction using its ID","operationId":"showBatchTransaction","parameters":[{"name":"id","in":"path","description":"Transaction ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"90c1418b-f4f4-413e-a4ba-f29c334e7f55"},"example":"90c1418b-f4f4-413e-a4ba-f29c334e7f55"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_batch_transaction"},"examples":{"response":{"value":{"batch_transactions":{"created_at":"2020-05-05T12:26:59.112Z","updated_at":"2020-05-05T12:31:03.389Z","id":13143,"reference_id":"7190770-1-2908","uuid":"90c1418b-f4f4-413e-a4ba-f29c334e7f55","external_reference":null,"reference_amount":null,"account_external":{"account_type_id":9100,"currency":{"code":"AUD"}},"internal_state":null,"internal_status":null,"user_email":"assemblybuyer71391895@assemblypayments.com","first_name":"Buyer","last_name":"Last Name","legal_entity_id":"5f46763e-fb7a-4feb-9820-93a5703ddd17","user_external_id":"buyer-71391895","phone":"+1588681395","marketplace":{"group_name":null,"name":"platform1556505750","short_name":null,"uuid":"041e8015-5101-44f1-9b7d-6a206603f29f","account_details":"hW9azjTFODCCII3tz8oeXWY8ggZe1P0oPVR7mj4i4dew3nQh9g1sc7BhC07e\nCAoKvO2hhofH3cGoVzbjMUVgcBEh5Q+0ZyomyYZ608A8wT2cER2iPw3Uc9xu\n5l7RNiW5bX19+ckySth7ACUX8UUV1uScJm16zylGTvVi++otp/mtOUh1o1CB\nDBgQ7H0JLoxcXevs97E8Fv0Pxu1M7lS+9OsA0rm8l1SXESeuDoAzPHZ9CXBA\n3EGUROEDJdfZAJ4T4lLSiYq/ppjb4rwoC+g65ju3o3knUO6Q9/8qxbfSIPNM\n8gN8ZlDsCstk+spDAOY1EQMldXxCkJsdygGOV18S0w==\n","account_details_encrypted":true},"external_account_details":"e4Y1C51S6jIPVW6/uMezjb1G9HXzdaPXUD6QdpkVgsDJG8uRyP7PeFwQJtgA\nr37BonDf0CGvO/OWtH72AZ1SEhMIBpPCDAYdRI4AMgyiuZUCcqC4gD9VbpK0\n14vsvx+NtKAS+BqHir1e9S1mhEnAV9DjT3NnMrVqUEZ1dJpChQ9Tbl+iINWY\nBdYglbokhSpcPko0s5tk8i9QuBl3qKvyJ0E2GUxSANTJSyefIN97UVJonXpt\nAy7UUAPALqafDhjBWE8VNAw4EAXoFG5SSbeKC9LKPIKwzqxlpFvwUuBk/PHw\nBl2YwMfvQyi7PsHMBHGJO/+tdiOowTsayoeCyOa7oQ==\n","external_account_details_encrypted":true,"company":null,"payout_currency":null,"address_line1":"Courtland Ave.","address_line2":"Courtland Ave.","address_city":"Macon","address_state":"GA","address_postcode":"31204","address_country":{"id":1,"name":"Australia","three_code":"AUS","two_code":"au","currency_id":1,"numeric_code":"36"},"account_type":9100,"type":"payment","type_method":"direct_debit","batch_id":245,"cuscal_payment_transaction_id":null,"reference":"platform1556505750","deposit_reference":null,"state":"successful","status":12000,"user_id":"1ea8d380-70f9-0138-ba3b-0a58a9feac06","account_id":"26065be0-70f9-0138-9abc-0a58a9feac06","from_user_name":"Neol1604984243 Calangi","from_user_id":1604984243,"amount":109,"currency":"AUD","debit_credit":"debit","description":"Debit of $1.09 from Bank Account for Credit of $1.09 to Item","related":{"account_to":{"id":"edf4e4ef-0d78-48db-85e0-0af04c5dc2d6","account_type":"item","user_id":"5b9fe350-4c56-0137-e134-0242ac110002"}},"links":{"self":"/batch_transactions/90c1418b-f4f4-413e-a4ba-f29c334e7f55","users":"/batch_transactions/90c1418b-f4f4-413e-a4ba-f29c334e7f55/users","fees":"/batch_transactions/90c1418b-f4f4-413e-a4ba-f29c334e7f55/fees","wallet_accounts":"/batch_transactions/90c1418b-f4f4-413e-a4ba-f29c334e7f55/wallet_accounts","card_accounts":"/batch_transactions/90c1418b-f4f4-413e-a4ba-f29c334e7f55/card_accounts","paypal_accounts":"/batch_transactions/90c1418b-f4f4-413e-a4ba-f29c334e7f55/paypal_accounts","bank_accounts":"/batch_transactions/90c1418b-f4f4-413e-a4ba-f29c334e7f55/bank_accounts","items":"/batch_transactions/90c1418b-f4f4-413e-a4ba-f29c334e7f55/items","marketplace":"/batch_transactions/90c1418b-f4f4-413e-a4ba-f29c334e7f55/marketplaces"}}}}}}}}}}},"/disbursements":{"get":{"tags":["Disbursements"],"summary":"List Disbursements","description":"Retrieve an ordered and paginated list of existing **Disbursements**. The list can be filtered by **Batch ID**.\n","operationId":"listDisbursement","parameters":[{"$ref":"#/components/parameters/limitParam"},{"$ref":"#/components/parameters/offsetParam"},{"name":"batch_id","in":"query","description":"Batch ID.","style":"form","explode":true,"schema":{"type":"string"},"example":""}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/disbursements"},"examples":{"response":{"value":{"disbursements":[{"id":"90c1418b-f4f4-413e-a4ba-f29c334e7f55","reference_id":"7190770-1-2908","amount":109,"currency":"AUD","batch_id":245,"cuscal_payment_transaction_id":null,"created_at":"2020-05-05T12:26:59.112Z","updated_at":"2020-05-05T12:31:03.389Z","state":"successful","links":{"transactions":"/disbursements/90c1418b-f4f4-413e-a4ba-f29c334e7f55/transactions","wallet_accounts":"/disbursements/90c1418b-f4f4-413e-a4ba-f29c334e7f55/wallet_accounts","bank_accounts":"/disbursements/90c1418b-f4f4-413e-a4ba-f29c334e7f55/bank_accounts","paypal_accounts":"/disbursements/90c1418b-f4f4-413e-a4ba-f29c334e7f55/paypal_accounts","items":"/disbursements/90c1418b-f4f4-413e-a4ba-f29c334e7f55/items","users":"/disbursements/90c1418b-f4f4-413e-a4ba-f29c334e7f55/users"}}],"meta":{"limit":10,"offset":0,"total":1}}}}}}}}}},"/disbursements/{id}":{"get":{"tags":["Disbursements"],"summary":"Show Disbursement","description":"Get a disbursment using its ID","operationId":"showDisbursement","parameters":[{"name":"id","in":"path","description":"Disbursement ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"90c1418b-f4f4-413e-a4ba-f29c334e7f55"},"example":"90c1418b-f4f4-413e-a4ba-f29c334e7f55"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/single_disbursement"},"examples":{"response":{"value":{"disbursements":{"id":"90c1418b-f4f4-413e-a4ba-f29c334e7f55","reference_id":"7190770-1-2908","amount":109,"currency":"AUD","batch_id":245,"cuscal_payment_transaction_id":null,"created_at":"2020-05-05T12:26:59.112Z","updated_at":"2020-05-05T12:31:03.389Z","state":"successful","links":{"transactions":"/disbursements/90c1418b-f4f4-413e-a4ba-f29c334e7f55/transactions","wallet_accounts":"/disbursements/90c1418b-f4f4-413e-a4ba-f29c334e7f55/wallet_accounts","bank_accounts":"/disbursements/90c1418b-f4f4-413e-a4ba-f29c334e7f55/bank_accounts","paypal_accounts":"/disbursements/90c1418b-f4f4-413e-a4ba-f29c334e7f55/paypal_accounts","items":"/disbursements/90c1418b-f4f4-413e-a4ba-f29c334e7f55/items","users":"/disbursements/90c1418b-f4f4-413e-a4ba-f29c334e7f55/users"}}}}}}}}}}},"/disbursements/{id}/transactions":{"get":{"tags":["Disbursements"],"summary":"Show Disbursement Transactions","description":"Get all the transactions relating to a disbursment ID","operationId":"showDisbursementTransactions","parameters":[{"$ref":"#/components/parameters/limitParam"},{"$ref":"#/components/parameters/offsetParam"},{"name":"id","in":"path","description":"Disbursement ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"90c1418b-f4f4-413e-a4ba-f29c334e7f55"},"example":"90c1418b-f4f4-413e-a4ba-f29c334e7f55"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/transactions"},"examples":{"response":{"value":{"transactions":[{"id":"35b60310-75a9-0138-0beb-0a58a9feac05","reference_id":null,"created_at":"2020-05-11T11:33:50.704Z","updated_at":"2020-05-11T11:33:50.707Z","description":"Credit of $1.02 to Item by Debit of $1.02 from Credit Card","type":"payment","type_method":"credit_card","state":"successful","user_id":"76cf57db94d9e1f07a60c009be2adec0","user_name":"First1556505750 LastName","account_id":"7190985-1-9382","account_type":"item","item_name":"Item 7190985-1-9382 Escrow","dynamic_descriptor":"100014012533407","amount":102,"currency":"AUD","debit_credit":"credit","marketplace":{"group_name":null,"name":"platform1556505750","short_name":null,"uuid":"041e8015-5101-44f1-9b7d-6a206603f29f"},"related":{"transactions":[{"id":"35b5e450-75a9-0138-41d5-0a58a9feac05","account_id":"725cc8c0-759b-0138-5d6d-0a58a9feac05","account_type":"card_account","user_id":"buyer-719013950014","user_name":"Neol Buyer"}]}},{"id":"35b5e450-75a9-0138-41d5-0a58a9feac05","reference_id":"7190770-1-2908","created_at":"2020-05-11T11:33:50.691Z","updated_at":"2020-05-11T11:33:50.729Z","description":"Debit of $1.02 from Credit Card for Credit of $1.02 to Item","type":"payment","type_method":"credit_card","state":"successful","user_id":"buyer-719013950014","user_name":"Neol Buyer","account_id":"725cc8c0-759b-0138-5d6d-0a58a9feac05","account_type":"card_account","amount":102,"currency":"AUD","debit_credit":"debit","marketplace":{"group_name":null,"name":"platform1556505750","short_name":null,"uuid":"041e8015-5101-44f1-9b7d-6a206603f29f"},"related":{"transactions":[{"id":"35b60310-75a9-0138-0beb-0a58a9feac05","account_id":"7190985-1-9382","account_type":"item","user_id":"76cf57db94d9e1f07a60c009be2adec0","user_name":"First1556505750 LastName","item_name":"Item 7190985-1-9382 Escrow"}]}}],"meta":{"limit":2,"offset":0,"total":156},"links":{"self":"/disbursements/90c1418b-f4f4-413e-a4ba-f29c334e7f55/transactions"}}}}}}}}}},"/disbursements/{id}/wallet_accounts":{"get":{"tags":["Disbursements"],"summary":"Show Disbursement Wallet Accounts","description":"Get all the wallet accounts relating to a disbursment ID","operationId":"showDisbursementWalletAccounts","parameters":[{"name":"id","in":"path","description":"Disbursement ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","default":"90c1418b-f4f4-413e-a4ba-f29c334e7f55"},"example":"90c1418b-f4f4-413e-a4ba-f29c334e7f55"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/wallet_account"},"examples":{"response":{"value":{"wallet_accounts":{"id":"5c1c6b10-4c56-0137-8cd7-0242ac110002","active":true,"created_at":"2019-04-29T02:42:31.536Z","updated_at":"2020-05-03T12:01:02.254Z","balance":663337,"currency":"AUD","links":{"self":"/disbursements/90c1418b-f4f4-413e-a4ba-f29c334e7f55/wallet_accounts","users":"/disbursements/90c1418b-f4f4-413e-a4ba-f29c334e7f55/users","batch_transactions":"/disbursements/90c1418b-f4f4-413e-a4ba-f29c334e7f55/batch_transactions","transactions":"/disbursements/90c1418b-f4f4-413e-a4ba-f29c334e7f55/transactions","bpay_details":"/disbursements/90c1418b-f4f4-413e-a4ba-f29c334e7f55/bpay_details","npp_details":"/disbursements/90c1418b-f4f4-413e-a4ba-f29c334e7f55/npp_details","virtual_accounts":"/wallet_accounts/5c1c6b10-4c56-0137-8cd7-0242ac110002/virtual_accounts"}}}}}}}}}}},"/sub_wallets/{id}":{"get":{"tags":["Sub-wallets"],"summary":"Show Sub-wallet","description":"Show details of a specific sub-wallet using the given`:id`.","operationId":"showSubWallet","parameters":[{"name":"id","in":"path","description":"sub-wallet ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","example":"c66a1bec-4ca5-418c-8b0a-5513819576ee","default":"c66a1bec-4ca5-418c-8b0a-5513819576ee"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/sub_wallet"},"examples":{"response":{"value":{"sub_wallets":{"id":"c66a1bec-4ca5-418c-8b0a-5513819576ee","name":"medical","active":true,"balance":0,"created_at":"c66a1bec-4ca5-418c-8b0a-5513819576ee","updated_at":"c66a1bec-4ca5-418c-8b0a-5513819576ee","currency":"AUD","links":{"self":"/sub_wallets/c66a1bec-4ca5-418c-8b0a-5513819576ee","users":"/sub_wallets/c66a1bec-4ca5-418c-8b0a-5513819576ee/users","transactions":"/sub_wallets/c66a1bec-4ca5-418c-8b0a-5513819576ee/transactions","wallet_accounts":"/sub_wallets/c66a1bec-4ca5-418c-8b0a-5513819576ee/wallet_accounts"}}}}}}}},"422":{"description":"unprocessable content","content":{"application/json":{"schema":{"$ref":"#/components/schemas/sub_wallet_error_responseBody"},"examples":{"feature configuration not enabled":{"value":{"errors":{"sub_wallets":["feature not available"]}}},"id not provided":{"value":{"errors":{"id":["required field missing"]}}},"id format is invalid":{"value":{"errors":{"id":["invalid format"]}}},"id is invalid":{"value":{"errors":{"id":["invalid"]}}},"id belongs to a different marketplace":{"value":{"errors":{"id":["must belong to the marketplace"]}}}}}}}}},"delete":{"tags":["Sub-wallets"],"summary":"Redact Sub-wallet","description":"Redact a sub-wallet using the given `:id`. Only sub-wallets with zero balance can be redacted. Once this is done, the sub-wallet can no longer be used as a funding source.","operationId":"deleteSubWallet","parameters":[{"name":"id","in":"path","description":"sub-wallet ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","example":"c66a1bec-4ca5-418c-8b0a-5513819576ee","default":"c66a1bec-4ca5-418c-8b0a-5513819576ee"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/sub_wallet"},"examples":{"response":{"value":{"sub_wallets":{"id":"c66a1bec-4ca5-418c-8b0a-5513819576ee","name":"medical","active":false,"balance":0,"created_at":"c66a1bec-4ca5-418c-8b0a-5513819576ee","updated_at":"c66a1bec-4ca5-418c-8b0a-5513819576ee","currency":"AUD","links":{"self":"/sub_wallets/c66a1bec-4ca5-418c-8b0a-5513819576ee","users":"/sub_wallets/c66a1bec-4ca5-418c-8b0a-5513819576ee/users","transactions":"/sub_wallets/c66a1bec-4ca5-418c-8b0a-5513819576ee/transactions","wallet_accounts":"/sub_wallets/c66a1bec-4ca5-418c-8b0a-5513819576ee/wallet_accounts"}}}}}}}},"422":{"description":"unprocessable content","content":{"application/json":{"schema":{"$ref":"#/components/schemas/sub_wallet_error_responseBody"},"examples":{"feature configuration not enabled":{"value":{"errors":{"sub_wallets":["feature not available"]}}},"id not provided":{"value":{"errors":{"id":["required field missing"]}}},"id format is invalid":{"value":{"errors":{"id":["invalid format"]}}},"id is invalid":{"value":{"errors":{"id":["invalid"]}}},"id belongs to a different marketplace":{"value":{"errors":{"id":["must belong to the marketplace"]}}},"id is already redacted":{"value":{"errors":{"base":["unable to process request, sub-wallet already deleted"]}}},"balance of sub-wallet is non-zero":{"value":{"errors":{"base":["unable to delete sub-wallet with non-zero balance"]}}}}}}}}},"patch":{"tags":["Sub-wallets"],"summary":"Update Sub-wallet","description":"Update an existing sub-wallet using the given `:id`. You can change the `name` of an enabled sub-wallet. You can change the  `active` status of a `redacted` sub-wallet.","operationId":"updateSubWallet","parameters":[{"name":"id","in":"path","description":"sub-wallet ID","required":true,"style":"simple","explode":false,"schema":{"type":"string","example":"c66a1bec-4ca5-418c-8b0a-5513819576ee","default":"c66a1bec-4ca5-418c-8b0a-5513819576ee"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/sub_wallets_id_body"},"examples":{"bothInput":{"summary":"update both name and active","value":{"name":"Investment Fund","active":true}},"activeInput":{"summary":"enable redacted subwallet","value":{"active":true}},"nameInput":{"summary":"update name","value":{"name":"Investment Fund"}}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/sub_wallet"},"examples":{"response":{"value":{"sub_wallets":{"id":"c66a1bec-4ca5-418c-8b0a-5513819576ee","name":"Investment Fund","active":true,"balance":0,"created_at":"c66a1bec-4ca5-418c-8b0a-5513819576ee","updated_at":"c66a1bec-4ca5-418c-8b0a-5513819576ee","currency":"AUD","links":{"self":"/sub_wallets/c66a1bec-4ca5-418c-8b0a-5513819576ee","users":"/sub_wallets/c66a1bec-4ca5-418c-8b0a-5513819576ee/users","transactions":"/sub_wallets/c66a1bec-4ca5-418c-8b0a-5513819576ee/transactions","wallet_accounts":"/sub_wallets/c66a1bec-4ca5-418c-8b0a-5513819576ee/wallet_accounts"}}}}}}}},"422":{"description":"unprocessable content","content":{"application/json":{"schema":{"$ref":"#/components/schemas/sub_wallet_error_responseBody"},"examples":{"feature configuration not enabled":{"value":{"errors":{"sub_wallets":["feature not available"]}}},"id not provided":{"value":{"errors":{"id":["required field missing"]}}},"id format is invalid":{"value":{"errors":{"id":["invalid forma
[...]
